let baseInfo = [{
    fieldTemplateId: '',
    parentFieldTemplateId: '',
    minCount: 10,
    maxCount: 20,
    parentCode: 'baseInfo',
    fieldName: '姓名',
    fieldCode: 'clerkName',
    systemFlag: true,
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fieldType: "0", //字段类型（0：单行输入框，1：多行输入框，2：单选框 3:多选框 4:日期 5:日期区间 6：数字输入框 7：图片上传 ）
    fixed: false, // 判断字段是否已经在列表中
    fieldDescription: '请输入', // 提示文字
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false, // 是否必填
    staffRecordsIds: []
  },
  {
    parentCode: 'baseInfo',
    fieldName: '部门',
    fieldCode: 'groupName',
    systemFlag: true,
    fieldType: "0", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'baseInfo',
    fieldCode: "clerkPhone",
    fieldName: '手机号',
    systemFlag: true,
    fieldType: "0", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    modifyLimitStatus: '0',
    modifyTimesLimit: 1,
    staffRecordsIds: []
  },
  {
    parentCode: 'baseInfo',
    fieldName: 'code',
    fieldCode: 'clerkCode',
    systemFlag: true,
    fieldType: "0", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'baseInfo',
    fieldName: '邮箱',
    fieldCode: 'clerkEmail',
    systemFlag: true,
    fieldType: "0", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'baseInfo',
    fieldName: '职位',
    fieldCode: 'positionName',
    systemFlag: true,
    fieldType: "0", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'baseInfo',
    fieldName: '入职时间',
    fieldCode: 'hireDate',
    systemFlag: true,
    fieldType: "4", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    fieldOperations: {
      typeValue: 'yyyy-MM-dd',
      ruleContent: [
        { 'type': 'radio', 'name': '年-月-日', 'key': 'yyyy-MM-dd', 'isEdit': 1 },
        { 'type': 'radio', 'name': '年-月', 'key': 'yyyy-MM', 'isEdit': 1 }
      ],
      fieldContent: [],
    },
    isMust: false,
    staffRecordsIds: []
  }
];

let jobInfo = [{
    parentCode: 'jobInfo',
    fieldName: '员工类型',
    fieldCode: 'clerkType',
    systemFlag: true,
    fieldType: "2", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    fieldOperations: {
      ruleContent: [],
      fieldContent: [
        { 'type': 'radio', 'name': '全职', 'key': 1 },
        { 'type': 'radio', 'name': '兼职', 'key': 2 },
        { 'type': 'radio', 'name': '外包', 'key': 3 },
        { 'type': 'radio', 'name': '实习', 'key': 4 },
        { 'type': 'radio', 'name': '无类型', 'key': 5 },
      ],
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'jobInfo',
    fieldName: '员工状态',
    fieldCode: 'clerkStatus',
    systemFlag: true,
    fieldType: "2", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    fieldOperations: {
      ruleContent: [],
      fieldContent: [
        { 'type': 'radio', 'name': '正式', 'key': '1' },
        { 'type': 'radio', 'name': '试用', 'key': '2' },
      ],
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'jobInfo',
    fieldName: '转正日期',
    fieldCode: 'correctionDate',
    systemFlag: true,
    fieldType: "4", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    fieldOperations: {
      typeValue: 'yyyy-MM-dd',
      ruleContent: [
        { 'type': 'radio', 'name': '年-月-日', 'key': 'yyyy-MM-dd', 'isEdit': 1 },
        { 'type': 'radio', 'name': '年-月', 'key': 'yyyy-MM', 'isEdit': 1 }
      ],
    },
    fieldContent: [],
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'jobInfo',
    fieldName: '岗位职级',
    fieldCode: 'positionRank',
    systemFlag: true,
    fieldType: "0", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  }
]

let selfInfo = [{
    parentCode: 'selfInfo',
    fieldName: '身份证姓名',
    fieldCode: 'identifyName',
    systemFlag: true,
    fieldType: "0", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    fieldName: '证件号码',
    fieldCode: 'identifyNo',
    systemFlag: true,
    fieldType: "6", // 字段类型 数字输入框
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    unit: '元', // 数字单位
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    fieldName: '出生日期',
    fieldCode: 'birthDay',
    systemFlag: true,
    fieldType: "4", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    fieldOperations: {
      typeValue: '1',
      ruleContent: [
        { 'type': 'checkbox', 'name': '年-月-日', 'key': 1, 'isEdit': 1 },
        { 'type': 'checkbox', 'name': '年-月', 'key': 2, 'isEdit': 1 }
      ],
      fieldContent: [],
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    fieldName: '性别',
    fieldCode: 'sex',
    systemFlag: true,
    fieldType: "2", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [],
      fieldContent: [
        { 'type': 'radio', 'name': '男', 'key': 1 },
        { 'type': 'radio', 'name': '女', 'key': 2 },
      ],
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    fieldName: '民族',
    fieldCode: 'nation',
    systemFlag: true,
    fieldType: "0", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [],
      fieldContent: [
        { 'type': 'radio', 'name': '汉', 'key': 1 },
        { 'type': 'radio', 'name': '女', 'key': 2 },
      ],
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    fieldName: '身份证地址',
    fieldCode: 'identifyAddr',
    systemFlag: true,
    fieldType: "1", // 字段类型  多行输入框
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [],
      fieldContent: [],
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    fieldName: '证件有效期',
    fieldCode: 'identifyEffectiveDate',
    systemFlag: true,
    fieldType: "4", // 字段类型  多行输入框
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      typeValue: 'yyyy-MM-dd',
      ruleContent: [
        { 'type': 'radio', 'name': '年-月-日', 'key': 'yyyy-MM-dd', 'isEdit': 1 },
        { 'type': 'radio', 'name': '年-月', 'key': 'yyyy-MM', 'isEdit': 1 }
      ],
      fieldContent: []
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    fieldName: '户籍类型',
    fieldCode: 'birthPlaceType',
    systemFlag: true,
    fieldType: "2", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    fieldOperations: {
      ruleContent: [],
      fieldContent: [
        { 'type': 'radio', 'name': '本地城镇', 'key': 1 },
        { 'type': 'radio', 'name': '本地农村', 'key': 2 },
        { 'type': 'radio', 'name': '外地城镇(省内)', 'key': 3 },
        { 'type': 'radio', 'name': '外地农村(省内)', 'key': 4 },
        { 'type': 'radio', 'name': '外地城镇(省外)', 'key': 5 },
        { 'type': 'radio', 'name': '外地农村(省外)', 'key': 6 },
      ],
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    fieldName: '地址',
    fieldCode: 'address',
    systemFlag: true,
    fieldType: "1", // 字段类型  多行输入框
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [],
      fieldContent: [],
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    fieldName: '政治面貌',
    fieldCode: 'politicalStatus',
    systemFlag: true,
    fieldType: "2", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    fieldOperations: {
      ruleContent: [],
      fieldContent: [
        { 'type': 'radio', 'name': '团员', 'key': 1 },
        { 'type': 'radio', 'name': '党员', 'key': 2 },
        { 'type': 'radio', 'name': '群众', 'key': 3 },
        { 'type': 'radio', 'name': '其他', 'key': 4 }
      ],
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    fieldName: '婚姻状况',
    fieldCode: 'maritalStatus',
    systemFlag: true,
    fieldType: "2", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    fieldOperations: {
      ruleContent: [],
      fieldContent: [
        { 'type': 'radio', 'name': '已婚', 'key': 1 },
        { 'type': 'radio', 'name': '未婚', 'key': 2 }
      ],
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    fieldName: '首次参加工作时间',
    fieldCode: 'firstWorkDate',
    systemFlag: true,
    fieldType: "4", // 字段类型  多行输入框
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      typeValue: 'yyyy-MM-dd',
      ruleContent: [
        { 'type': 'radio', 'name': '年-月-日', 'key': 'yyyy-MM-dd', 'isEdit': 1 },
        { 'type': 'radio', 'name': '年-月', 'key': 'yyyy-MM', 'isEdit': 1 }
      ],
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    fieldName: '银行卡号',
    fieldCode: 'bankNo',
    systemFlag: true,
    fieldType: "6", // 字段类型 数字输入框
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
      unit: '元', // 数字单位
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'selfInfo',
    fieldName: '开户行',
    fieldCode: 'bankName',
    systemFlag: true,
    fieldType: "0", // 字段类型  多行输入框
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [],
      fieldContent: [],
    },
    isMust: false,
    staffRecordsIds: []
  },
]

let eduInfo = [{
    parentCode: 'eduInfo',
    fieldName: '毕业院校',
    fieldCode: 'graduateInstitutions',
    systemFlag: true,
    fieldType: "0", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'eduInfo',
    fieldName: '毕业时间',
    fieldCode: 'graduateDate',
    systemFlag: true,
    fieldType: "4", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    fieldOperations: {
      typeValue: 'yyyy-MM-dd',
      ruleContent: [
        { 'type': 'radio', 'name': '年-月-日', 'key': 'yyyy-MM-dd', 'isEdit': 1 },
        { 'type': 'radio', 'name': '年-月', 'key': 'yyyy-MM', 'isEdit': 1 }
      ],
      fieldContent: [],
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'eduInfo',
    fieldName: '所学专业',
    fieldCode: 'majorCourse',
    systemFlag: true,
    fieldType: "0", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'eduInfo',
    fieldName: '最高学历',
    fieldCode: 'highestEducation',
    systemFlag: true,
    fieldType: "2", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
     fieldOperations: {
      ruleContent: [],
      fieldContent: [
        { 'type': 'radio', 'name': '初中', 'key': 1 },
        { 'type': 'radio', 'name': '高中', 'key': 2 },
        { 'type': 'radio', 'name': '中专', 'key': 3 },
        { 'type': 'radio', 'name': '大专', 'key': 4 },
        { 'type': 'radio', 'name': '本科', 'key': 5 },
        { 'type': 'radio', 'name': '硕士', 'key': 6 },
        { 'type': 'radio', 'name': '博士', 'key': 7 },
        { 'type': 'radio', 'name': '其他', 'key': 8 }
      ],
    },
    isMust: false,
    staffRecordsIds: []
  },
]

let contractInfo = [{
    parentCode: 'contractInfo',
    fieldName: '合同公司',
    fieldCode: 'contractCompany',
    systemFlag: true,
    fieldType: "0", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'contractInfo',
    fieldName: '合同类型',
    fieldCode: 'contractType',
    systemFlag: true,
    fieldType: "2", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    fieldOperations: {
      ruleContent: [],
      fieldContent: [
        { 'type': 'radio', 'name': '固定曲线劳动合同', 'key': 1 },
        { 'type': 'radio', 'name': '无固定期限劳动合同', 'key': 2 },
        { 'type': 'radio', 'name': '实习协议', 'key': 3 },
        { 'type': 'radio', 'name': '劳务协议', 'key': 4 },
        { 'type': 'radio', 'name': '劳务派遣合同', 'key': 5 },
        { 'type': 'radio', 'name': '返聘协议', 'key': 6 },
        { 'type': 'radio', 'name': '短期劳动合同', 'key': 7 },
        { 'type': 'radio', 'name': '其他', 'key': 8 },
      ],
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'contractInfo',
    fieldName: '首次合同起始日',
    fieldCode: 'firstContractBeginDate',
    systemFlag: true,
    fieldType: "4", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    fieldOperations: {
      typeValue: 'yyyy-MM-dd',
      ruleContent: [
        { 'type': 'radio', 'name': '年-月-日', 'key': 'yyyy-MM-dd', 'isEdit': 1 },
        { 'type': 'radio', 'name': '年-月', 'key': 'yyyy-MM', 'isEdit': 1 }
      ],
    },
    fieldContent: [],
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'contractInfo',
    fieldName: '首次合同到期日',
    fieldCode: 'firstContractEndDate',
    systemFlag: true,
    fieldType: "4", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    fieldOperations: {
      typeValue: 'yyyy-MM-dd',
      ruleContent: [
        { 'type': 'radio', 'name': '年-月-日', 'key': 'yyyy-MM-dd', 'isEdit': 1 },
        { 'type': 'radio', 'name': '年-月', 'key': 'yyyy-MM', 'isEdit': 1 }
      ],
    },
    fieldContent: [],
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'contractInfo',
    fieldName: '现合同起始日',
    fieldCode: 'currentContractBeginDate',
    systemFlag: true,
    fieldType: "4", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    fieldOperations: {
      typeValue: 'yyyy-MM-dd',
      ruleContent: [
        { 'type': 'radio', 'name': '年-月-日', 'key': 'yyyy-MM-dd', 'isEdit': 1 },
        { 'type': 'radio', 'name': '年-月', 'key': 'yyyy-MM', 'isEdit': 1 }
      ],
      fieldContent: [],
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'contractInfo',
    fieldName: '现合同到期日',
    fieldCode: 'currentContractEndDate',
    systemFlag: true,
    fieldType: "4", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    fieldOperations: {
      typeValue: 'yyyy-MM-dd',
      ruleContent: [
        { 'type': 'radio', 'name': '年-月-日', 'key': 'yyyy-MM-dd', 'isEdit': 1 },
        { 'type': 'radio', 'name': '年-月', 'key': 'yyyy-MM', 'isEdit': 1 }
      ],
      fieldContent: [],
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'contractInfo',
    fieldName: '合同期限',
    fieldCode: 'contractDateType',
    systemFlag: true,
    fieldType: "2", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请选择',
    fieldOperations: {
      ruleContent: [],
      fieldContent: [
        { 'type': 'radio', 'name': '无', 'key': 1 },
        { 'type': 'radio', 'name': '6个月', 'key': 2 },
        { 'type': 'radio', 'name': '12个月', 'key': 3 },
        { 'type': 'radio', 'name': '24个月', 'key': 4 },
        { 'type': 'radio', 'name': '36个月或以上', 'key': 5 }
      ],
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'contractInfo',
    fieldName: '续签次数',
    fieldCode: 'contractRenewNum',
    systemFlag: true,
    fieldType: "0", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
]

let contactInfo = [{
    parentCode: 'contactInfo',
    fieldName: '紧急联系人姓名',
    fieldCode: 'emergencyContact',
    systemFlag: true,
    fieldType: "0", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'contactInfo',
    fieldName: '紧急联系人手机号',
    fieldCode: 'emergencyContactPhone',
    systemFlag: true,
    fieldType: "6", // 字段类型 数字输入框
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    unit: '元', // 数字单位
    staffRecordsIds: []
  },
  {
    parentCode: 'contactInfo',
    fieldName: '紧急联系人关系',
    fieldCode: 'emergencyContactRelationship',
    systemFlag: true,
    fieldType: "0", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
]

let personalInfo = [{
    parentCode: 'personalInfo',
    fieldName: '身份证（人像面）',
    fieldCode: 'identifyFrontImageUrl',
    systemFlag: true,
    fieldType: "7", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '最多上传9张图片',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'personalInfo',
    fieldName: '身份证（国徽面）',
    fieldCode: 'identifyBackImageUrl',
    systemFlag: true,
    fieldType: "7", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '最多上传9张图片',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'personalInfo',
    fieldName: '学历证书',
    fieldCode: 'qualificationImageUrl',
    systemFlag: true,
    fieldType: "7", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '最多上传9张图片',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'personalInfo',
    fieldName: '学位证书',
    fieldCode: 'diplomaImageUrl',
    systemFlag: true,
    fieldType: "7", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '最多上传9张图片',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'personalInfo',
    fieldName: '上家公司离职证明',
    fieldCode: 'fireEvidenceImageUrl',
    systemFlag: true,
    fieldType: "7", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '最多上传9张图片',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'personalInfo',
    fieldName: '员工照片',
    fieldCode: 'clerkImageUrl',
    systemFlag: true,
    fieldType: "7", // 字段类型
    fieldEdited: false, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '最多上传9张图片',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
]

let defineInfo = [{
    parentCode: 'defineInfo',
    fieldCode: '-1',
    fieldName: '单行输入框',
    fieldCode: '',
    systemFlag: false,
    fieldEdited: true, // 修改（0：不可修改，1：可修改）
    fieldType: '0',
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'defineInfo',
    fieldCode: '-1',
    fieldName: '多行输入框',
    fieldCode: '',
    systemFlag: false,
    fieldEdited: true, // 修改（0：不可修改，1：可修改）
    fieldType: '1',
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'defineInfo',
    fieldCode: '-1',
    fieldName: '单选框',
    fieldEdited: true, // 修改（0：不可修改，1：可修改）
    fieldType: '2',
    fixed: false,
    fieldDescription: '请选择',
    fieldOperations: {
      ruleContent: [],
      fieldContent: [
        { 'type': 'radio', 'name': '选项1', },
        { 'type': 'radio', 'name': '选项2', },
        { 'type': 'radio', 'name': '选项3', }
      ],
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'defineInfo',
    fieldCode: '-1',
    fieldName: '多选框',
    fieldEdited: true, // 修改（0：不可修改，1：可修改）
    fieldType: '3',
    fixed: false,
    fieldDescription: '请选择',
    fieldOperations: {
      ruleContent: [],
      fieldContent: [
        { 'type': 'checkbox', 'name': '选项1', },
        { 'type': 'checkbox', 'name': '选项2', },
        { 'type': 'checkbox', 'name': '选项3', }
      ],
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'defineInfo',
    fieldCode: '-1',
    fieldName: '日期',
    fieldEdited: true, // 修改（0：不可修改，1：可修改）
    fieldType: '4',
    fixed: false,
    fieldDescription: '请选择',
    fieldOperations: {
      typeValue: 'yyyy-MM-dd',
      ruleContent: [
        { 'type': 'radio', 'name': '年-月-日', 'key': 'yyyy-MM-dd', 'isEdit': 1 },
        { 'type': 'radio', 'name': '年-月', 'key': 'yyyy-MM', 'isEdit': 1 }
      ],
      fieldContent: [] // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'defineInfo',
    fieldCode: '-1',
    fieldName: '日期区间',
    fieldEdited: true, // 修改（0：不可修改，1：可修改）
    fieldType: '5',
    fixed: false,
    fieldOperations: {
      startName: '开始时间',
      endName: '结束时间',
      startDescription: '请选择开始时间',
      endDescription: '请选择结束时间',
      typeValue: 'yyyy-MM-dd',
      ruleContent: [
        { 'type': 'radio', 'name': '年-月-日', 'key': 'yyyy-MM-dd', 'isEdit': 1 },
        { 'type': 'radio', 'name': '年-月', 'key': 'yyyy-MM', 'isEdit': 1 }
      ],
      fieldContent: [] // 选项
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'defineInfo',
    fieldCode: '-1',
    fieldName: '数字输入框',
    fieldCode: '',
    systemFlag: false,
    fieldType: "6", // 字段类型 数字输入框
    fieldEdited: true, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '请输入',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
      unit: '元', // 数字单位
    },
    isMust: false,
    staffRecordsIds: []
  },
  {
    parentCode: 'defineInfo',
    fieldCode: '-1',
    fieldName: '图片',
    fieldCode: '',
    systemFlag: false,
    fieldType: "7", // 字段类型
    fieldEdited: true, // 修改（0：不可修改，1：可修改）
    fixed: false,
    fieldDescription: '最多上传9张图片',
    fieldOperations: {
      ruleContent: [], // 单选 日期有
      fieldContent: [], // 选项
    },
    isMust: false,
    staffRecordsIds: []
  }
]


export default {
  baseInfo: function() {
    return baseInfo;
  },
  jobInfo: function() {
    return jobInfo;
  },
  selfInfo: function() {
    return selfInfo;
  },
  eduInfo: function() {
    return eduInfo;
  },
  contractInfo: function() {
    return contractInfo;
  },
  contactInfo: function() {
    return contactInfo;
  },
  personalInfo: function() {
    return personalInfo;
  },
  defineInfo: function() {
    return defineInfo;
  }
}
